Create a taskAsk AIpost https://api.rocketlane.com/api/1.0/tasksQuery ParamsincludeFieldsarray of stringsThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.includeFieldsADD stringincludeAllFieldsbooleanThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.truetruefalseBody ParamstaskNamestringrequiredThe name of the task.taskDescriptionstringThe description of the task. The description body needs to be in html format to avoid any formatting issues in the application.taskPrivateNotestringThe privateNote for the task is intended exclusively for team members. The note's content should be in HTML format to prevent any formatting issues in the application.startDatestringThe date when a task starts its execution. It can be empty. The format for the start date is YYYY-MM-DD.dueDatestringThe date when a task completes its execution. It can be empty. If both startDate and dueDate are specified for a given task, it is necessary that the latter should be on or after the given startDate. The format for the due date is YYYY-MM-DD.effortInMinutesint32The effort is the expected time required to complete the task. The value is determined in minutes.progressint32The task's progress, if indicated, will be available here and ranges in value from 0 to 100. The task's status can be used in place of this field, however progress can offer more precise data.atRiskbooleanIndicates whether the task has been marked as At Risk. This parameter is used to indicate that immediate action is necessary to unblock the task's execution.truetruefalsetypestringenumThe type of the task if specified will be available here. There are two options: MILESTONE or TASK. If a task is not explicitly marked as a milestone, it takes the default value as TASK. Milestones refer to critical tasks in the project that include an inbuilt CSAT capability that allows customers to offer CSAT evaluations depending on the task's execution.MILESTONETASKMILESTONEAllowed:TASKMILESTONEprojectobjectrequiredThe project associated with task needs to be specified here and it is mandatory for the task to get created and map accordingly.project objectphaseobjectThe phase that needs to be associated with the task can be mentioned here. Note: The phase needs to be associated with the project and thus failing the task creation process.phase objectstatusobjectThe value of the task status can be specified here and this is essential to keep track of it.status objectfieldsarray of objectsThe custom fields can be set during the task creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.fieldsADD objectassigneesobjectassignees objectfollowersobjectThe task followers can be either members (team members or customers) or placeholders.followers objectparentobjectParent task idparent objectexternalReferenceIdstringAn externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency.sourceobjectSource information for importing a task from a templatesource objectprivatebooleanThis depicts if the task is private or not.falsetruefalseResponses 201The resource was successfully created in the database. 400This error typically happens when the request payload contains an error. If you want to make sure that the request's parameters are named correctly and are the right data types, you can examine the request's syntax. 401You see this error when trying to access this resource without being authenticated. Check the API request header to make sure it is not empty and has a valid api-key that you acquired from the Rocketlane API Settings tab. 500This error denotes that there is an error that occured within our servers. The response body could help narrow down the cause for the error by our support team.Updated 8 months ago